Package ch.qos.logback.core.rolling.helper

## Class TokenConverter

- java.lang.Object
- - ch.qos.logback.core.rolling.helper.TokenConverter

    public class TokenConverter
    extends java.lang.Object

`TokenConverter` offers some basic functionality used by more specific token converters.

It basically sets up the chained architecture for tokens. It also forces derived classes to fix their type.

Since:
  1.3
Author:
  Ceki

### Constructor Summary

Constructors
`protected` `TokenConverter​(int t)`

### Method Summary

All Methods Instance Methods Concrete Methods
`TokenConverter` `getNext()`
`int` `getType()`
`void` `setNext​(TokenConverter next)`
`void` `setType​(int i)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TokenConverter

    protected TokenConverter​(int t)

### Method Detail

#### getNext

    public TokenConverter getNext()

#### setNext

    public void setNext​(TokenConverter next)

#### getType

    public int getType()

#### setType

    public void setType​(int i)